DJabberd::Delivery::LocalVHosts(3)

NAME
DJabberd::Delivery::LocalVHosts - Controlled delivery to other local VHosts

SYNOPSIS
<VHost mydomain.com>

  [...]

  <Plugin DJabberd::Delivery::LocalVHosts>
    AllowVHost component1.mydomain.com
    AllowVHost component2.mydomain.com
    ...
  </Plugin>

  [...]

</VHost>

This delivery plugin provides a shortcut for delivering messages between two domains that are running on the same server. It also allows inter-VHost communication on hosts that do not have S2S enabled at all, enabling admins to create a closed pool of vhosts on one server that can only talk to one another, if configuring S2S is impossible or inconvenient.

This plugin won't do anything at all unless you allow at least one vhost as shown in the example above. By explicitly listing the appropriate services you can create segregated pools of vhosts that can't communicate between each other but can communicate within the configured bounds.

TODO: more docs